%define	module	File-Scan
%define	name	perl-%{module}
%define	version	0.63
%define	release	1mdk

Summary:	File::Scan is perl extension for Scanning files for Viruses
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot/
Buildrequires:	perl-devel
Requires:	perl 
Buildarch:	noarch

%description
File::Scan module is designed to allows users to scan files for known
viruses. The purpose is to provide a perl module to make plataform
independent virus scanners.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc MANIFEST 
%dir %{perl_vendorlib}/File
%{perl_vendorlib}/File/*
%{_mandir}/*/*


%changelog
* Mon Aug 25 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.63-1mdk
- initial contrib import. this module is needed for amavis-ng.

